import { ElementType, useState } from "react";

export const WithHocToggle = (Component: ElementType) => {
  return function WithHocToggleComponent({ ...props }: {
    [key: string]: any;
  }) {
    const [toggle, setToggle] = useState<boolean>(false);

    return <Component active={toggle} toggle={setToggle} {...props} />;
  };
};
