import { useState } from 'react';
import { loadItem, saveItem } from '../utils';

const useLocalStorage = (
  key: string,
  initialValue: string,
  secure: boolean = false
) => {
  const [value, setValue] = useState<typeof loadItem>(
    loadItem(key, initialValue, secure)
  );

  const setStoredValue = (value: any) => {
    saveItem(key, value, secure, setValue(value));
  };

  return [value, setStoredValue];
};

export default useLocalStorage;
